/*******************************************************************************
 *
 *	File : qunit_glue.cc
 *
 *	Encapsulate qunit C++ function calls in classical C ones,
 *	in order to call then from C source codes.
 */

#include <stdlib.h>
#include <iostream>

#include "qunit_if.h"
#include "qunitP.h"

extern "C"  {

	char * GetBaseSI (char * si)
	{
		return strdup (QunitGetBaseSI (si).c_str());
	}

	char * GetTidySI (char * si) 
	{
		return strdup (QunitGetTidySI (si).c_str());
	}

	char *	GetProductSI (char *s1, char * s2)
	{
		return strdup (QunitGetProductSI (s1, s2).c_str());
	}

	char *	GetPowerSI (char * input_str, float p)
	{
		return strdup (QunitGetPowerSI (input_str, p).c_str());
	}

	char *	MakeSIconvStr (double conv, char * str)
	{
		return strdup (QunitMakeSIconvStr (conv, str).c_str());
	}

	char *	UnitsStr (char * si)
	{
		return strdup (QunitUnitsStr (si).c_str());
	}

	int	HasUnits (char * si)
	{
		return QunitHasUnits (si);
	}

	int	AreUnitsSame (char * s1, char * s2)
	{
		return QunitAreUnitsSame (s1, s2);
	}

	int	SameBaseSI (char * s1, char * s2)
	{
		return QunitSameBaseSI (s1, s2);
	}

	double	ConvFactor (char * si) 
	{
		return QunitConvFactor (si);
	}

	double Conversion (char * src, char *dst)
	{
		return QunitConversion (src, dst);
	}
}
