/*******************************************************************************
 *
 *	File : qunit_test.c
 *
 *	Purpose : test C qunit_glue interface from a software built without C++
 */

#include <stdio.h>

#include "qunit_glue.h"

int main (void)
{
	char *	src = "1e3>m s^-1";
	char *	dst = "1>m s^-1";
	char *	s1 = "1.0e-9>T";
	char *	s2 = "1.0>K";
	double	k = 0.0;

	char *	str = GetBaseSI (src);

	printf ("src = %s\n", src);
	printf ("dst = %s\n", dst);
	printf ("s1 = %s\n", s1);
	printf ("s2 = %s\n", s2);

	printf ("AreUnitsSame (src,dst) = %d\n", AreUnitsSame (src,dst));
	printf ("SameBaseSI (src,dst) = %d\n", SameBaseSI (src,dst));
	printf ("SameBaseSI (s1,s2) = %d\n", SameBaseSI (s1,s2));
	printf ("GetBaseSI (s1) = %s\n", GetBaseSI (s1));

	printf ("GetBaseSI(src) = %s\n", GetBaseSI(src));

	k = Conversion (src, dst);

	printf ("Conversion (src,dst) = %le\n", k);

	k = Conversion (dst,src);
	
	printf ("Conversion (dst,src) = %le\n", k);
}
